Bug 174793 - update failure for bdb database
update failure for bdb database
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Depends On:
  Show dependency treegraph
Reported: 2005-12-02 03:41 EST by Stanislav Polasek
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: openldap-servers-2.3.30-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-24 08:48:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stanislav Polasek 2005-12-02 03:41:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
ldapd does not start after update. DB4 version on fc3 is 4.2. openldap-servers-2.2.29-1.FC3 includes libslapd_db-4.3.so.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. update openldap
2. start server

Actual Results:  ldap server does not start

Expected Results:  ldap server should start

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:15:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Jan Safranek 2007-05-24 08:48:33 EDT
Current releases of openldap should be ok - each  update saves the old database
in ldif format and tries to import it back. Ldif format is independent on bdb

Note You need to log in before you can comment on or make changes to this bug.